Package bitel.billing.server.contract.bean

# Class ContractStatusLog

java.lang.Object
bitel.billing.server.contract.bean.ContractStatusLog

    public class ContractStatusLog
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractStatusLog()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDate()` |
  `java.util.Date` | `getDate1()` |
  `java.util.Date` | `getDate2()` |
  `int` | `getId()` |
  `int` | `getStatus()` |
  `int` | `getUserId()` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setDate1​(java.util.Date date1)` |
  `void` | `setDate2​(java.util.Date date2)` |
  `void` | `setId​(int id)` |
  `void` | `setStatus​(int status)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusLog

    public ContractStatusLog()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getDate2

    public java.util.Date getDate2()

  - ### setDate2

    public void setDate2​(java.util.Date date2)

  - ### getDate1

    public java.util.Date getDate1()

  - ### setDate1

    public void setDate1​(java.util.Date date1)